> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anglpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get report

This endpoint requires the `reports.read` scope.


## OpenAPI

````yaml openapi.speakeasy.json GET /reports/{report_id}
openapi: 3.0.0
info:
  title: Gr4vy API
  version: 1.1.0-beta
  contact:
    name: Gr4vy Support
    email: code@gr4vy.com
    url: https://gr4vy.com
  termsOfService: https://gr4vy.com
  license:
    name: MIT
    url: https://raw.githubusercontent.com/gr4vy/gr4vy-openapi/main/LICENSE
  description: |-
    Welcome to the Gr4vy API reference documentation.
    Our API is still very much a work in product and subject to change.
servers:
  - url: https://api.sandbox.{id}.gr4vy.app
    x-speakeasy-server-id: sandbox
    variables:
      id:
        default: example
        description: The subdomain for your Gr4vy instance.
  - url: https://api.{id}.gr4vy.app
    x-speakeasy-server-id: production
    variables:
      id:
        default: example
        description: The subdomain for your Gr4vy instance.
security:
  - bearerAuth: []
tags:
  - name: Account Updater
    description: >-
      An Account Updater is a service provided by credit card issuers

      (such as banks and financial institutions) to merchants who accept

      recurring payments from customers. Its primary purpose is to help

      merchants maintain accurate and up-to-date payment information for

      their customers' credit or debit card accounts.


      In Gr4vy, the Account Updater service is provided in an on-demand

      and asynchronous fashion:


      1. A merchant requests an update for a set of stored cards.

      2. A request is submitted to a third-party service.

      3. When results are ready, new card details are stored and left in
      standby.

      4. Card details are updated when it gets determined that the original card
         is no longer valid (e.g. has expired).
  - name: Anti-Fraud Services
    description: >-
      In Gr4vy, an anti-fraud service represents a configured anti-fraud service

      provider (`Sift`, `CyberSource`, etc). This third-party services will be

      used to screen transactions to determine the risk and prevents chargebacks

      and fraudulent transactions.


      The anti-fraud services API can be used to:


      * Provide Gr4vy with the API credentials for an anti-fraud service
      provider.

      * Set a display name for a anti-fraud provider.

      * Map anti-fraud service decisions to Gr4vy internal decisions.
    x-internal: true
  - name: Anti Fraud Service Definitions
    description: >-
      Anti fraud service definitions describe the fields required for a anti
      fraud

      service to be configured.
  - name: API Key Pairs
    description: >-
      In Gr4vy, an API key pair is used to sign and validate JSON Web Tokens
      (JWT).

      JWTs are used as a HTTP `bearer` token to authenticate to the API. For
      more

      information please visit our [in-depth
      authentication](/guides/authentication)

      guide.
    x-internal: true
  - name: API Logs
    description: >-
      API Logs provide an historic of 4XX and 5XX errors that happened in the
      API

      in the last 24 hours with a 250 result limit.
    x-internal: true
  - name: Apple Pay Certificates
    description: >-
      Apple Pay payment processing certificates are used by Apple to encrypt
      Apple

      Pay tokens. You must register and upload an Apple Pay payment processing

      certificate if you wish to use Apple Pay with Gr4vy's mobile SDKs.


      The Apple Pay certificates API can be used to:


      * Start a new Apple Pay certificate registration, providing you with a

      Certificate Signing Request (CSR).

      * Update the Apple Pay certificate record with the certificate received
      from

      Apple after creating a new payment processing certificate on your Apple

      Developer console and uploading a CSR.

      * List all Apple Pay certificates.
    x-internal: true
  - name: Audit Logs
    description: >-
      Audit Logs provide an historic record of changes made to your Gr4vy
      instance.
  - name: Buyers
    description: >-
      In Gr4vy, a buyer represents your customer, the shopper who's performing

      a checkout and making a purchase.


      A buyer can be used by you to:


      * Display a human readable name (`display_name`) for a buyer in the Gr4vy

      admin panel

      * Associate multiple stored payment methods with a single user

      * Initialize **Gr4vy Embed** with the buyer ID, automatically displaying
      the
        buyer's previously stored payment methods, allowing for faster checkout.
  - name: Card Details
    description: Endpoints to retrieve details of a card by utilising a BIN lookup table.
    x-internal: true
  - name: Card Scheme Definitions
    description: Card Scheme definitions provide display information to a card scheme.
  - name: Connections
    description: |-
      Endpoints to retrieve details of configured connections such as payment
      services, digital wallets, and anti-fraud services.
    x-internal: true
  - name: Connection Definitions
    description: |-
      Endpoints to retrieve details of various connections such as payment
      services, digital wallets, and anti-fraud services.
    x-internal: true
  - name: Checkout Sessions
    description: |-
      A Checkout Session represents the session of a user as they progress
      through an online checkout.
  - name: Digital Wallets
    description: |-
      In Gr4vy, a digital wallet represents a way for a buyer to pay using
      card details already stored on their device via a digital wallet service
      such as Apple Pay or Google Pay. The buyer will not have to fill in their
      card details on checkout.

      The digital wallets API can be used to:

      * Register with a digital wallet provider.
      * List digital wallets currently registered.
  - name: Gift Cards
    description: >-
      In Gr4vy, a gift card represents a stored value card that can be used to
      pay for

      a transaction.
  - name: Gift Card Services
    description: >-
      In Gr4vy, a gift card service represents a configured provider for
      processing

      gift cards.
  - name: Gift Card Service Definitions
    description: |-
      Gift card service definitions describe the fields required for a gift
      card service to be configured.
  - name: Health Dashboard
    description: Endpoints to retrieve the data used for the Health Dashboard.
    x-internal: true
  - name: Merchant Accounts
    description: |-
      In Gr4vy, a merchant account represents an individual merchant in an
      instance. Each instance has one or more merchant accounts, and each
      merchant account has its own connections, Flow rules, transactions, and
      more.
  - name: Metrics Explorer
    description: Endpoints to retrieve the data used for the Metrics Explorer.
    x-internal: true
  - name: Payment Methods
    description: |-
      In Gr4vy, a payment method represents a way in which a payment can be
      processed, for example a card, a PayPal account, or a bank account.

      The payment method API can be used to:

      * List all the available payment methods
      * Filter the available payment method for a buyer in a specific currency
      and country.
      * Store (also known as vault) a payment method for a buyer.
      * Fetch all previously stored payment methods for a buyer.
  - name: Payment Method Definitions
    description: >-
      Payment Method definitions provide display information to a payment
      method.
  - name: Payment Options
    description: |-
      In Gr4vy, a payment option represents a list of methods (card, PayPal,
      etc) that are available for a given locale.

      The payment options API can be used to:

      * Determine what types of payments can be processed in a specific locale.
      * Display a list options to a buyer to choose from.
  - name: Payment Service Definitions
    description: |-
      Payment service definitions describe the fields required for a payment
      service to be configured.
  - name: Payment Services
    description: |-
      In Gr4vy, a payment service represents a configured payment provider
      (Stripe, PayPal, Adyen, etc) for a specific payment type (card, bitcoin,
      etc)

      The payment services API can be used to:

      * Provide Gr4vy with the payment credentials for a payment provider.
      * Set a display name for a payment provider.
  - name: Payouts
    description: |-
      Payouts allow a merchant to send money from one of their own accounts to a
      third party.
  - name: Payment Links
    description: >-
      In Gr4vy, payment links allow a merchant to generate a link, send it to a

      customer via email, SMS, etc, and then have the customer pay without the
      need

      for the merchant hosting their own checkout.
  - name: Vault Forward Definitions
    description: >-
      Vault Forward definitions describe a third party service that has been
      vetted

      to receive requests containing PCI data.
  - name: Vault Forward Configurations
    description: |-
      A Vault Forward Configuration represents a third party service that is
      currently enabled to send requests containing PCI data.
  - name: Vault Forward
    description: |-
      Vault Forwarding is a way to perform requests where, provided a template,
      Gr4vy will evaluate it to inject PCI data and forward it to third party
      services that have been vetted to receive such data.
  - name: Reports
    description: |-
      In Gr4vy, a report represents the configuration details to extract or
      dump a set of data into a downloadable CSV file. The data extracted
      by a report is configured via the reports API where you can specify:

      * Which fields should be in the dataset.
      * How the dataset should be sorted.
      * How the dataset should be filtered.

      Once a report is created, it may be executed on a one-off or recurring
      basis. One-off reports are executed only once shortly after the report
      is created, while recurring reports are executed periodically based on
      its configured frequency, e.g. weekly or monthly.

      During a report execution, the data is extracted and loaded into
      a CSV file according to the report's configuration. The resulting file
      may then be downloaded.

      The reports API can be used to:

      * Create and configure new reports.
      * List all reports.
      * View the configuration details of a report.
      * List a report's executions.
      * Reconfigure an existing report.
      * Generate a temporary URL to download the result of a report execution
      in CSV format.
  - name: Sessions
    description: |-
      The sessions APIs are used to facilitate user authentication for the Gr4vy
      dashboard.
    x-internal: true
  - name: Transactions
    description: >-
      In Gr4vy, a transaction represents a payment in any state, either before
      it

      is authorized, once it is captured, or after it has been refunded.


      The transactions API can be used to:


      - Authorize, capture, and store cards.

      - Authorize, capture, and store alternative payment methods like PayPal.

      - Refund, void, and otherwise cancel existing transactions.
  - name: Users
    description: |-
      In Gr4vy, a user represents an employee of the merchant with access to the
      dashboard.
    x-internal: true
  - name: Webhooks
    description: |-
      Endpoints related to webhooks to integrate Gr4vy with payment services
      webhooks functionality.
    x-internal: true
  - name: Flow
    description: >-
      In Gr4vy, a rule can be created that triggers actions anywhere in the
      payment flow.
    x-internal: true
  - name: Roles
    description: >-
      In Gr4vy, users can be granted access to specific types of resources and
      permissions

      to perform certain actions by being assigned one or more roles.
  - name: Tokens
    description: Endpoints related to the Gr4vy tokenization service.
  - name: Webhook subscriptions
    description: >-
      Endpoints related to the management of subscriptions for endpoints to
      receive webhooks.
paths:
  /reports/{report_id}:
    parameters:
      - schema:
          type: string
          format: uuid
          example: 8724fd24-5489-4a5d-90fd-0604df7d3b83
        name: report_id
        in: path
        required: true
        description: The unique ID for a report.
    get:
      tags:
        - Reports
      summary: Get report
      description: Retrieves the details of a single report.
      operationId: get-report
      responses:
        '200':
          description: Returns a report.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Report'
        '401':
          description: Returns an error if no valid authentication was provided.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401Unauthorized'
        '404':
          description: Returns an error if the resource can not be found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error404NotFound'
components:
  schemas:
    Report:
      title: Report
      type: object
      description: A report record.
      x-tags:
        - Reports
      allOf:
        - $ref: '#/components/schemas/ReportSummary'
      properties:
        created_at:
          type: string
          description: The date and time this report was created in our system.
          format: date-time
          example: '2013-07-16T19:23:00.000+00:00'
        updated_at:
          type: string
          format: date-time
          description: The date and time this report was last updated.
          example: '2013-07-16T19:23:00.000+00:00'
        next_execution_at:
          type: string
          format: date-time
          description: |-
            The date and time this report will next be executed, provided
            that `schedule_enabled` is `true`. This value is null if this
            is a one-off report.
          example: '2023-01-01T00:00:00.000+00:00'
          nullable: true
        description:
          type: string
          maxLength: 1000
          description: The description of this report.
          example: Transactions that failed to authorize in April 2022
          nullable: true
        schedule:
          type: string
          description: |-
            Specifies the schedule of this report.

            If this is a one-off report, this value is `once`.

            If this is a recurring report, this value is set to the
            frequency by which the report will be executed. For example, a
            `monthly` schedule means that this report will be periodically
            executed at the start of each month.

            Note that a `weekly` schedule means that the report is executed
            at the start of every Monday.
          example: monthly
          enum:
            - daily
            - monthly
            - once
            - weekly
        schedule_enabled:
          type: boolean
          description: |-
            Indicates whether this report's scheduling is enabled. This value
            can only be set to `true` if this is a recurring report.

            When this value is set to `true`, this report will be executed at
            the `next_execution_at` date and time.

            When this value is set to `false`, future executions of this
            report are paused until this value is set to `true` again.
          example: true
        schedule_timezone:
          type: string
          description: |-
            The time zone in which the next execution will be scheduled. This
            value is used to calculate this report's `next_execution_at` value
            and is only relevant if this is a recurring report. This time zone
            is also used to calculate the timestamp range for reports that use
            date-time placeholders. Date-time placeholders are dynamic
            timestamps that change with every report execution.
        spec:
          type: object
          description: The specifications of this report.
          nullable: false
          x-model-name: ReportSpec
          oneOf:
            - $ref: '#/components/schemas/DetailedSettlementReportSpec'
            - $ref: '#/components/schemas/TransactionRetriesReportSpec'
            - $ref: '#/components/schemas/TransactionsReportSpec'
        latest_execution:
          allOf:
            - $ref: '#/components/schemas/ReportExecutionSummary'
          description: Details of the latest execution of this report.
          nullable: true
    Error401Unauthorized:
      title: Unauthorized Error
      type: object
      description: Unauthorized Error (HTTP 401).
      x-tags:
        - Errors
      properties:
        type:
          type: string
          description: '`error`.'
          enum:
            - error
          example: error
        code:
          type: string
          description: '`unauthorized`.'
          example: unauthorized
          enum:
            - unauthorized
        status:
          type: integer
          description: '`401`.'
          example: 401
          enum:
            - 401
        message:
          type: string
          description: No valid API authentication found.
          example: No valid API authentication found
          enum:
            - No valid API authentication found
        details:
          type: array
          description: >-
            A list of detail objects that further clarify the reason for the
            error.

            Not every error supports more detail.
          example: []
          items:
            $ref: '#/components/schemas/ErrorDetail'
    Error404NotFound:
      title: Not Found Error
      type: object
      description: Not Found Error (HTTP 404).
      x-tags:
        - Errors
      properties:
        type:
          type: string
          description: '`error`.'
          enum:
            - error
          example: error
        code:
          type: string
          description: The reason code for the error.
          example: not_found
          enum:
            - not_found
            - pending_creation
        status:
          type: integer
          description: '`404`.'
          example: 404
          enum:
            - 404
        message:
          type: string
          description: The human readable reason for the error.
          example: The resource could not be found
        details:
          type: array
          description: >-
            A list of detail objects that further clarify the reason for the
            error.

            Not every error supports more detail.
          example: []
          items:
            $ref: '#/components/schemas/ErrorDetail'
    ReportSummary:
      title: Report Summary
      type: object
      description: A report record summary.
      x-tags:
        - Reports
      properties:
        type:
          type: string
          description: The type of this resource. Is always `report`.
          example: report
          enum:
            - report
        id:
          type: string
          example: fe26475d-ec3e-4884-9553-f7356683f7f9
          description: The unique identifier for this report.
          format: uuid
        merchant_account_id:
          type: string
          description: The unique ID for a merchant account.
          example: default
        name:
          type: string
          maxLength: 100
          description: The name of this report.
          example: Failed Authorizations 042022
        creator_id:
          type: string
          example: bd5d40d1-913b-419c-bd62-84efc46e0026
          description: The unique identifier for the creator of this report.
          format: uuid
          nullable: true
        creator_display_name:
          type: string
          maxLength: 1000
          description: The name of the creator of this report.
          example: John Doe
          nullable: true
        creator_type:
          type: string
          description: The type of the creator of this report.
          nullable: true
          enum:
            - user
            - private_key
    DetailedSettlementReportSpec:
      title: Detailed Settlement Report Specification
      type: object
      description: The specification of a detailed settlement report.
      x-tags:
        - Reports
      required:
        - model
        - params
      properties:
        model:
          type: string
          description: |-
            The model (dataset) that the data used for the report is
            retrieved from.
          example: detailed_settlement
          enum:
            - detailed_settlement
        params:
          type: object
          description: Parameters used to configure the report.
          properties:
            filters:
              type: object
              description: The filters for the report.
              example:
                ingested_at:
                  start: day_start
                  end: day_end
              properties:
                ingested_at:
                  type: object
                  description: The time window for when the data was ingested to filter by.
                  example:
                    start: day_start
                    end: day_end
                  properties:
                    start:
                      type: string
                      description: |-
                        The starting boundary for when the data was ingested
                        as a date-time placeholder value.
                      example: day_start
                      enum:
                        - day_start
                    end:
                      type: string
                      description: |-
                        The ending boundary for when the data was ingested
                        as a date-time placeholder value.
                      example: day_end
                      enum:
                        - day_end
    TransactionRetriesReportSpec:
      title: Transaction Retries Report Specification
      type: object
      description: The specification of a transaction retries report.
      x-tags:
        - Reports
      required:
        - model
        - params
      properties:
        model:
          type: string
          description: |-
            The model (dataset) that the data used for the report is
            retrieved from.
          example: transaction_retries
          enum:
            - transaction_retries
        params:
          type: object
          description: Parameters used to configure the report.
          properties:
            filters:
              type: object
              description: The filters for the report.
              example:
                created_at:
                  start: day_start
                  end: day_end
              properties:
                created_at:
                  type: object
                  description: The time window for when the data was created to filter by.
                  example:
                    start: day_start
                    end: day_end
                  properties:
                    start:
                      type: string
                      description: |-
                        The starting boundary for when the data was created
                        as either a date-time or date-time placeholder value.
                      example: day_start
                    end:
                      type: string
                      description: |-
                        The ending boundary for when the data was created
                        as either a date-time or date-time placeholder value.
                      example: day_end
    TransactionsReportSpec:
      title: Transactions Report Specification
      type: object
      description: The specification of a transactions report.
      x-tags:
        - Reports
      required:
        - model
        - params
      properties:
        model:
          type: string
          description: |-
            The model (dataset) that the data used for the report is
            retrieved from.
          example: transactions
          enum:
            - transactions
        params:
          type: object
          description: Parameters used to configure the report.
          properties:
            fields:
              type: array
              description: A list of fields for the report.
              items:
                type: string
                enum:
                  - id
                  - external_identifier
                  - status
                  - created_at
                  - updated_at
                  - authorized_at
                  - captured_at
                  - voided_at
                  - amount
                  - currency
                  - captured_amount
                  - refunded_amount
                  - method
                  - scheme
                  - payment_service_transaction_id
                  - payment_service_id
                  - payment_service_definition_id
                  - payment_service_display_name
                  - auth_response_code
                  - raw_response_code
                  - raw_response_description
                  - error_code
                  - metadata
                  - payment_source
                  - is_subsequent_payment
                  - merchant_initiated
                  - three_d_secure_status
                  - three_d_secure_eci
                  - three_d_secure_auth_resp
                  - three_d_secure_method
                  - buyer_external_identifier
                  - billing_details_first_name
                  - billing_details_last_name
                  - billing_details_email_address
                  - billing_details_phone_number
                  - billing_details_address_city
                  - billing_details_address_country
                  - billing_details_address_postal_code
                  - billing_details_address_state
                  - billing_details_address_state_code
                  - billing_details_address_house_number_or_name
                  - billing_details_address_line1
                  - billing_details_address_line2
                  - billing_details_address_organization
                  - billing_details_tax_id
                  - billing_details_tax_id_kind
                  - authorized_amount
                  - intent_outcome
                  - gift_card_redemptions_amount
                  - gift_card_redemption_refunds_amount
                  - settled
                  - settled_currency
                  - settled_amount
              example:
                - id
                - external_identifier
            filters:
              type: object
              description: The filters for the report.
              example:
                status:
                  - authorization_failed
              properties:
                status:
                  type: array
                  description: A list of statuses to filter by.
                  example:
                    - authorization_failed
                  items:
                    type: string
                    enum:
                      - processing
                      - buyer_approval_pending
                      - authorization_succeeded
                      - authorization_failed
                      - authorization_declined
                      - capture_pending
                      - capture_succeeded
                      - authorization_void_pending
                      - authorization_voided
                created_at:
                  type: object
                  description: The time window for when the data was created to filter by.
                  example:
                    start: day_start
                    end: day_end
                  properties:
                    start:
                      type: string
                      description: |-
                        The starting boundary for when the data was created
                        as either a date-time or date-time placeholder value.
                      example: day_start
                    end:
                      type: string
                      description: |-
                        The ending boundary for when the data was created
                        as either a date-time or date-time placeholder value.
                      example: day_end
                updated_at:
                  type: object
                  description: >-
                    The time window for when the data was last updated to filter
                    by.
                  example:
                    start: day_start
                    end: day_end
                  properties:
                    start:
                      type: string
                      description: |-
                        The starting boundary for when the data was updated
                        as either a date-time or date-time placeholder value.
                      example: day_start
                    end:
                      type: string
                      description: |-
                        The ending boundary for when the data was updated
                        as either a date-time or date-time placeholder value.
                      example: day_end
                authorized_at:
                  type: object
                  description: >-
                    The time window for when the transactions were authorized to
                    filter by.
                  example:
                    start: day_start
                    end: day_end
                  properties:
                    start:
                      type: string
                      description: >-
                        The starting boundary for when the transactions were
                        authorized

                        as either a date-time or date-time placeholder value.
                      example: day_start
                    end:
                      type: string
                      description: >-
                        The ending boundary for when the transactions were
                        authorized

                        as either a date-time or date-time placeholder value.
                      example: day_end
                captured_at:
                  type: object
                  description: >-
                    The time window for when the transactions were captured to
                    filter by.
                  example:
                    start: day_start
                    end: day_end
                  properties:
                    start:
                      type: string
                      description: >-
                        The starting boundary for when the transactions were
                        captured

                        as either a date-time or date-time placeholder value.
                      example: day_start
                    end:
                      type: string
                      description: >-
                        The ending boundary for when the transactions were
                        captured

                        as either a date-time or date-time placeholder value.
                      example: day_end
                voided_at:
                  type: object
                  description: >-
                    The time window for when the transactions were voided to
                    filter by.
                  example:
                    start: day_start
                    end: day_end
                  properties:
                    start:
                      type: string
                      description: >-
                        The starting boundary for when the transactions were
                        voided

                        as either a date-time or date-time placeholder value.
                      example: day_start
                    end:
                      type: string
                      description: >-
                        The ending boundary for when the transactions were
                        voided

                        as either a date-time or date-time placeholder value.
                      example: day_end
                currency:
                  type: array
                  description: A list of ISO-4217 currency codes to filter by.
                  example:
                    - GBP
                  items:
                    type: string
                method:
                  type: array
                  description: A list of payment methods to filter by.
                  example:
                    - card
                  items:
                    type: string
                    example: card
                    enum:
                      - affirm
                      - afterpay
                      - alipay
                      - alipayhk
                      - applepay
                      - bacs
                      - bancontact
                      - banked
                      - becs
                      - bitpay
                      - boleto
                      - boost
                      - card
                      - cashapp
                      - chaseorbital
                      - checkout-session
                      - clearpay
                      - click-to-pay
                      - dana
                      - dcb
                      - dlocal
                      - ebanx
                      - efecty
                      - eps
                      - everydaypay
                      - gcash
                      - gem
                      - gemds
                      - gift-card
                      - giropay
                      - givingblock
                      - gocardless
                      - googlepay
                      - googlepay_pan_only
                      - gopay
                      - grabpay
                      - id
                      - ideal
                      - kakaopay
                      - kcp
                      - klarna
                      - latitude
                      - latitudeds
                      - laybuy
                      - linepay
                      - linkaja
                      - maybankqrpay
                      - mercadopago
                      - multibanco
                      - multipago
                      - netbanking
                      - network-token
                      - oney_3x
                      - oney_4x
                      - oney_6x
                      - oney_10x
                      - oney_12x
                      - ovo
                      - oxxo
                      - payid
                      - paymaya
                      - paypal
                      - paypalpaylater
                      - payto
                      - venmo
                      - pix
                      - pse
                      - rabbitlinepay
                      - razorpay
                      - scalapay
                      - sepa
                      - shopeepay
                      - singteldash
                      - smartpay
                      - sofort
                      - spei
                      - stripedd
                      - thaiqr
                      - touchngo
                      - truemoney
                      - trustly
                      - trustlyeurope
                      - upi
                      - vipps
                      - waave
                      - webpay
                      - wechat
                      - zippay
                scheme:
                  type: array
                  description: A list of card schemes to filter by.
                  example:
                    - visa
                  items:
                    type: string
                    example: visa
                    enum:
                      - accel
                      - amex
                      - bancontact
                      - carte-bancaire
                      - cirrus
                      - culiance
                      - dankort
                      - diners-club
                      - discover
                      - eftpos-australia
                      - elo
                      - hipercard
                      - jcb
                      - maestro
                      - mastercard
                      - mir
                      - nyce
                      - other
                      - pulse
                      - rupay
                      - star
                      - uatp
                      - unionpay
                      - visa
                      - null
                metadata:
                  type: array
                  description: A list of metadata as key-value pairs to filter by.
                  example:
                    - key: value
                  items:
                    type: object
                three_d_secure_status:
                  type: array
                  description: A list of 3DS challenge statuses to filter by.
                  items:
                    type: string
                    enum:
                      - setup_error
                      - error
                      - declined
                      - cancelled
                      - complete
                three_d_secure_eci:
                  type: array
                  description: A list of electric commerce indicators to filter by.
                  example:
                    - '05'
                  items:
                    type: string
                three_d_secure_auth_resp:
                  type: array
                  description: A list of 3DS responses to filter by.
                  example:
                    - 'N'
                  items:
                    type: string
                payment_source:
                  type: array
                  description: A list of payment sources to filter by.
                  items:
                    type: string
                    example: recurring
                    enum:
                      - ecommerce
                      - moto
                      - recurring
                      - installment
                      - card_on_file
                merchant_initiated:
                  type: boolean
                  description: >-
                    A flag indicating transactions initiated by the merchant to
                    filter by.
                  example: true
                is_subsequent_payment:
                  type: boolean
                  description: >-
                    A flag indicating transactions with subsequent payments to
                    filter by.
                  example: true
            sort:
              type: array
              description: A list of fields to sort the report.
              items:
                type: object
              example:
                - field: captured_at
                  order: desc
    ReportExecutionSummary:
      title: Report Execution Summary
      type: object
      description: A report execution summary.
      x-tags:
        - Reports
      properties:
        type:
          type: string
          description: The type of this resource. Is always `report-execution`.
          example: report-execution
          enum:
            - report-execution
        id:
          type: string
          example: fe26475d-ec3e-4884-9553-f7356683f7f9
          description: The unique identifier for this report execution.
          format: uuid
        created_at:
          type: string
          description: The date and time this report execution was created in our system.
          format: date-time
          example: '2013-07-16T19:23:00.000+00:00'
        updated_at:
          type: string
          format: date-time
          description: The date and time this report execution was last updated.
          example: '2013-07-16T19:23:00.000+00:00'
        status:
          type: string
          description: The status of this report execution.
          example: succeeded
          enum:
            - dispatched
            - failed
            - pending
            - processing
            - succeeded
        context:
          type: object
          description: |-
            Contains the context values used to compute the value of date-time
            placeholders such as `month_start` and `month_end` if present in
            the report's specification. Date-time placeholders are dynamic
            timestamps that change with every report execution.
          properties:
            reference_timestamp:
              type: string
              format: date-time
              description: |-
                The date and time used by the system as a reference point to
                compute date-time placeholders.
              example: '2013-07-16T19:23:00.000+00:00'
            reference_timezone:
              type: string
              description: The time zone used to compute date-time placeholders.
              example: Europe/London
    ErrorDetail:
      title: Error details
      description: Additional detail about the part of a request body that caused an issue.
      type: object
      x-tags:
        - Errors
      properties:
        location:
          type: string
          example: body
          description: The location where the error caused an issue.
          enum:
            - query
            - body
            - path
            - header
        type:
          type: string
          example: value_error.missing
          description: A unique identifier for the type of error that occurred.
        pointer:
          type: string
          example: /payment_method/number
          description: >-
            The exact item for which the validation did not succeed. This is a
            JSON

            pointer for request bodies, while for query, path, and header
            parameters

            it is the name of the parameter.
        message:
          type: string
          example: field required
          description: A human readable message for this error detail.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````